const needle = require("needle");

module.exports.tradingFees = () => {
    const tradingFeesURL = `https://trade.capecrypto.com/api/v2/trade/public/trading_fees`

    return needle(
        "GET",
        tradingFeesURL,
        {
            json: true,
        }
    ).then(response => {
        if (response.statusCode == 200) {
            return response.body
        } else {
            console.error("Failed to get tradingFees: ", response.statusMessage)
            console.log("Status code: ", response.statusCode)
            console.log("Created Body: ", response.body)
            console.log("Headers: ", response.headers)

            return null
        }
    }).catch(error => {
        return null
    })
}