const config = require("config")
const reggie = require("../reggie")

const domain = config.get("server.domain")

const isMachankuraLightningAddress = function(receiver) {
    return receiver.match(reggie.lightningAddressRegex) && receiver.split('@')[1]?.toLowerCase() == domain
}

const isReceiverMachankuraServiceable = function(receiver) {
    if (receiver.match(reggie.phoneNumberRegex) || receiver.toLowerCase().match(reggie.userNameRegex)) {
        return true
    } else if (isMachankuraLightningAddress(receiver)) {
        // Through recursion we confirm that the username can be processed..
        return isReceiverMachankuraServiceable(receiver.split('@')[0])
    } else {
        return false
    }
}

module.exports.getServiceFeeInSatoshis = function(receiver, transactionAmountInSatoshis) {
    //  TODO: Validate that transactionAmountInSatoshis is a Number and return an error if it's not
    return isReceiverMachankuraServiceable(receiver) ? 0 : Math.ceil(transactionAmountInSatoshis*1/1000)
}

module.exports.isReceiverMachankuraServiceable = isReceiverMachankuraServiceable