const config = require("config");
const needle = require("needle");

const kotaniAPIDomain = config.get("kotani.domain");
const kotaniAPIToken = config.get("kotani.api");

module.exports.login = (emailAddress) => {
    const kotaniAPIAuthLoginURL = `https://${kotaniAPIDomain}/api/v3/auth/login`

    const data = {
        email: emailAddress,
    }
    return needle(
        "POST",
        kotaniAPIAuthLoginURL,
        data,
        {
            json: true,
        }
    ).then(response => {
        if (response.statusCode == 200) {
            return response.body
        } else {
            console.error("Failed to get address transaction: ", response.statusMessage)
            console.log("Status code: ", response.statusCode)
            console.log("Created Body: ", response.body)
            console.log("Headers: ", response.headers)

            return null
        }
    }).catch(error => {
        return null
    })
}
