const config = require("config");

const kotaniAPIDomain = config.get("kotani.domain");
const kotaniAPIToken = config.get("kotani.api");

module.exports.health = (integrator) => {
    const kotaniAPIHealthURL = `https://${kotaniAPIDomain}/health`
    
    return needle(
        "GET",
        kotaniAPIHealthURL,
        {
            json: true,
        }
    ).then(response => {
        if (response.statusCode == 200) {
            return response.body
        } else {
            console.error("Failed to get address transaction: ", response.statusMessage)
            console.log("Status code: ", response.statusCode)
            console.log("Created Body: ", response.body)
            console.log("Headers: ", response.headers)

            return null
        }
    }).catch(error => {
        return null
    })
}

module.exports.authentication = require("./authentication");
module.exports.customer = require("./customer");
module.exports.integrator = require("./integrator");
module.exports.rate = require("./rate");
module.exports.withdraw = require("./withdraw")
