const config = require("config");
const needle = require("needle");

const kotaniAPIDomain = config.get("kotani.domain");
const kotaniAPIToken = config.get("kotani.api");
const walletId = config.get("kotani.walletId");

module.exports.exchangeRate = (from, to) => {
    const kotaniAPIWithdrewToMobileMoneyURL = `https://${kotaniAPIDomain}/api/v3/rate/${from}/${to}`
    return needle(
        "GET",
        kotaniAPIWithdrewToMobileMoneyURL,
        {
            json: true,
            headers: {
                "Authorization": `Bearer ${kotaniAPIToken}`
            }
        }
    ).then(response => {
        if (response.statusCode == 200) {
            return response.body
        } else {
            console.error("Failed to get address transaction: ", response.statusMessage)
            console.log("Status code: ", response.statusCode)
            console.log("Created Body: ", response.body)
            console.log("Headers: ", response.headers)

            return null
        }
    }).catch(error => {
        return null
    })
}

module.exports.allExchangeRates = () => {
    const kotaniAPIWithdrewToMobileMoneyURL = `https://${kotaniAPIDomain}/api/v3/rate`
    return needle(
        "GET",
        kotaniAPIWithdrewToMobileMoneyURL,
        {
            json: true,
            headers: {
                "Authorization": `Bearer ${kotaniAPIToken}`
            }
        }
    ).then(response => {
        if (response.statusCode == 200) {
            return response.body
        } else {
            console.error("Failed to get address transaction: ", response.statusMessage)
            console.log("Status code: ", response.statusCode)
            console.log("Created Body: ", response.body)
            console.log("Headers: ", response.headers)

            return null
        }
    }).catch(error => {
        return null
    })
}