const machankuraSMS = require('machankura.sms')
const queryCountry = require("../../queries/country")
const phoneUtil = require('google-libphonenumber').PhoneNumberUtil.getInstance();


module.exports.forwardSatspoolFulfilment = async (db, userId, message) => {
    const user = await db.User.findByPk(userId, {
        include: [
            {
                association: db.User.UserPhones,
                required: true,
                include: [
                    {
                        association: db.UserPhone.Phone,
                        require: true
                    }
                ]
            }
        ]
    })
    if (user) {
        const countryCallingCode = phoneUtil.parse(`+${user.userPhones[0].phone.number}`).getCountryCode()

        const country = await queryCountry.getServicableCountryByCallingCode(
            db,
            countryCallingCode
        )

        if (country) {
            machankuraSMS.sendSatsPoolMessage(
                country,
                user.userPhones[0].phone.number,
                message
            )
        } else {
            console.error(`Failed to find country with the country calling code ${countryCallingCode} for user ${userId}`)
        }
        
    } else {
        console.error("Failed to find user with the id: ", userId)
    }
}