const config = require('config')
const needle = require('needle');

const btcpayServerBaseURL = `https://${config.get("onchaino.domain")}`
const btcpayServerStoreId = config.get("onchaino.storeId")
const onchainoKey = config.get("onchaino.track-api-key") // btcpay.store.canviewinvoices

module.exports.invoicePayments = async (invoiceId) => {
    try {
        const maximumRetries = 3
        for (let i = 0; i < maximumRetries; i++) {
            // Create invoice with onchain address and callback...
            const response = await needle(
                'get'
                `${btcpayServerBaseURL}/api/v1/stores/${btcpayServerStoreId}/invoices/${invoiceId}/payment-methods`,
                {
                    json: true,
                    headers: {
                        "X-Access": onchainoKey
                    }
                }
            )
    
            if (response.statusCode == 200) {
                // Only return onchain payments...
                return response.body?.filter(p => p.paymentMethod == "BTC")
            } else if (maximumRetries == i+1) {
                console.error(`Failed to return new addr: `, response.statusCode)
                console.error("Failed to new addr: ", response.statusMessage)
                return null
            } else {
                console.error("Gonna retry to new addr: ", label)
                // Add delay function...
            }
        }
    } catch (error) {
        console.error(`Failed to new addr ${label}: `, error)
    }
    
    console.error("Failed to new addr: ", label)
    return null
}