const config = require("config")
const Client = require("shopify-buy")

const client = Client.buildClient({
    domain: 'your-shop-name.myshopify.com',
    storefrontAccessToken: 'your-storefront-access-token'
});

client.product.fetchAll().then((products) => {
    // Do something with the products
    console.log("Shopify Products: ", products);
});

// Create an empty checkout
client.checkout.create().then((checkout) => {
    // Do something with the checkout
    console.log(checkout);
});

const getCheckout = async (checkoutId) => {
    if (checkoutId) {
        return client.checkout.fetch(checkoutId)
    } else {
        // TODO: Get customerId?
        return client.checkout.create()
    }
}
module.exports.checkoutItem = async (item, checkoutId = null) => {
    // Create checkout
    const checkout = await getCheckout(checkoutId)

    // Add item
    const lineItemsToAdd = [
        {
          variantId: item.variantId, // 'gid://shopify/ProductVariant/29106064584',
          quantity: item.quantity,
          customAttributes: item.customAttributes
        }
    ];

    const updateCheckout = await client.checkout.addLineItems(checkout.id, lineItemsToAdd)

    return updateCheckout
}