const { expect } = require('@jest/globals');
const onchainoReceive = require("../../onchaino/receive")
const nock = require('nock');

// beforeEach(async () => {
    
// });

// afterEach(async () => {
    
// });

beforeAll(async () => {
    // Return nothing for a unknown invoice
    const labelNotFound = nock('https://btcpay.machankura.com')
    .post('/api/v1/stores/someRandomStringAsStoreId/invoices', {
        checkout: {
            speedPolicy: "MediumSpeed",
            paymentMethods: ["BTC"],
            defaultPaymentMethod: "BTC",
            expirationMinutes: 20160,
            monitoringMinutes: 43200
        }
    })
    .reply(200, {
        "metadata": {
          "orderId": "string",
          "orderUrl": "string"
        },
        "checkout": {
          "speedPolicy": "HighSpeed",
          "paymentMethods": [
            "string"
          ],
          "defaultPaymentMethod": "string",
          "expirationMinutes": 90,
          "monitoringMinutes": 90,
          "paymentTolerance": 0,
          "redirectURL": "string",
          "redirectAutomatically": true,
          "requiresRefundEmail": true,
          "defaultLanguage": "string"
        },
        "receipt": {
          "enabled": true,
          "showQR": null,
          "showPayments": null
        },
        "id": "string",
        "storeId": "string",
        "amount": "5.00",
        "currency": "USD",
        "type": "Standard",
        "checkoutLink": "string",
        "createdTime": 1592312018,
        "expirationTime": 1592312018,
        "monitoringTime": 1592312018,
        "status": "New",
        "additionalStatus": "None",
        "availableStatusesForManualMarking": [
          "New"
        ],
        "archived": true
    })
    .persist();

    const invoicePaymentMethods = nock('https://btcpay.machankura.com')
    .get('/api/v1/stores/someRandomStringAsStoreId/invoices/string/payment-methods')
    .reply(200, [
        {
          "paymentMethod": "string",
          "cryptoCode": "BTC",
          "destination": "string",
          "paymentLink": "string",
          "rate": "string",
          "paymentMethodPaid": "string",
          "totalPaid": "string",
          "due": "string",
          "amount": "string",
          "networkFee": "string",
          "payments": [
            {
              "id": "string",
              "receivedDate": 1592312018,
              "value": "string",
              "fee": "string",
              "status": "Invalid",
              "destination": "string"
            }
          ],
          "activated": true,
          "additionalData": {
            "providedComment": "Thank you!",
            "consumedLightningAddress": "customer@example.com"
          }
        }
      ])
    .persist();
})

test('New Invoice 200 ', async () => {
    const paymentMethod = await onchainoReceive.newBitcoinAddress("segwit")

    console.log("Invoice: ", paymentMethod)
    expect(paymentMethod).not.toBeNull()
    expect(paymentMethod.destination).toBe("string")
});
