const { expect } = require('@jest/globals');
const sparkoListInvoices = require("../../sparko/list-invoices")
const nock = require('nock');

// beforeEach(async () => {
    
// });

// afterEach(async () => {
    
// });

beforeAll(async () => {
    // Return nothing for a unknown invoice
    const labelNotFound = nock('https://bond007.spark.server.com')
    .post('/rpc', {
        method: "listinvoices",
        params: {
            label: "randomLabel"
        }
    })
    .reply(200, {
        invoices: []
    })
    .persist();

    // Return the invoice with issuedInvoice
    const scope = nock('https://bond007.spark.server.com')
    .post('/rpc', {
        method: "listinvoices",
        params: {
            label: "issuedInvoice"
        }
    })
    .reply(200, {
        invoices: [
            {
                label: "issuedInvoice"
            }
        ]
    })
    // .persist();
})

test('ListInvoices 200 no invoices', async () => {
    const invoice = await sparkoListInvoices.listInvoices({
        id: "randomLabel",
        lightningNode: {
            alias: "bond007"
        }
    })

    expect(invoice).toBeUndefined()
});

test('ListInvoices 200 existing invoice', async () => {
    const invoice = await sparkoListInvoices.listInvoices({
        id: "issuedInvoice",
        lightningNode: {
            alias: "bond007"
        }
    })

    expect(invoice).not.toBeNull()
    expect(invoice.label).toBe("issuedInvoice")
});