const { expect } = require('@jest/globals');
const sparkoPay = require("../../sparko/pay")
const nock = require('nock');

// beforeEach(async () => {
    
// });

// afterEach(async () => {
    
// });

beforeAll(async () => {
    // Return nothing for a unknown invoice
    const paymentScope = nock('https://bond007.spark.server.com')
    .post('/rpc', {
        method: "pay",
        params: {
            bolt11: "lnbc1PaySucessfully",
            maxfeepercent: 0.75
        }
    })
    .reply(200, {
        id: "longidofthethingswehave",
        status: "complete"
    })
    .persist();

    const paymentRouteNotFoundScope = nock('https://bond007.spark.server.com')
    .post('/rpc', {
        method: "pay",
        params: {
            bolt11: "lnbc1RouteNotFound",
            maxfeepercent: 0.75
        }
    })
    .reply(500, {
        id: "longidofthethingswehave",
        error: "LightningError",
        code: 210
    })
    .persist();
})

test('Pay 200 complete', async () => {
    const payment = await sparkoPay.payBolt11Invoice({
        invoice: "lnbc1PaySucessfully",
        paymentProcessor: {
            lightningNode: {
                alias: "bond007"
            }
        }
        
    })

    expect(payment).not.toBeNull()
});

test('Pay 500 route not found', async () => {
    const payment = await sparkoPay.payBolt11Invoice({
        invoice: "lnbc1RouteNotFound",
        paymentProcessor: {
            lightningNode: {
                alias: "bond007"
            }
        }
        
    })

    expect(payment).toBeNull()
});